package com.pcloud.book.copyright.dao.impl;

import com.pcloud.book.copyright.dao.BookClickBuyRecordDao;
import com.pcloud.book.copyright.entity.BookClickBuyRecord;
import com.pcloud.common.core.dao.BaseDaoImpl;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author lily
 * @date 2018/12/20 15:42
 */
@Component("bookClickBuyRecordDao")
public class BookClickBuyRecordDaoImpl extends BaseDaoImpl<BookClickBuyRecord>  implements BookClickBuyRecordDao {
    @Override
    public Integer getClickBuyRecordCount(List<Long> adviserIds, List<Long> removeAdviserIds) {
        Map<String , Object> paramMap = new HashMap<>();
        paramMap.put("adviserIds",adviserIds);
        paramMap.put("removeAdviserIds",removeAdviserIds);
        return this.getSqlSession().selectOne(this.getStatement("getClickBuyRecordCount"), paramMap);
    }
}
